<bugID>901142<Summary>"This source is blackboxed" behaves incorrectly</Summary><Description>STR :

1) Blackbox a source - Expected : "This source is blackboxed" label to appear on the source editor. Actual : nothing changes. Script is still shown

2) Restart debugger and open the same file . "This source is blackboxed" appears with a button to unblackbox it. Click on the buttom. Expected : Label goes away and script's source is visible. Actual : Nothing changes in the source editor for that debugger session</Description></bugID>